# RPM specfile for galeon module
# Generated Tue Mar 23 23:45:38 2004 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.141.2.14 2004/03/23 23:35:00 mibarra Exp $

%define nam	galeon
%define ver	1.3.7
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2.4

Name:     	galeon
Version: 	1.3.7
Release:	0.ximian.6.2.4
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

Source0:	galeon-1.3.7.tar.bz2
Patch0:		galeon-wrapper-plugin-path.patch
Patch1:		galeon-gnomeprintui.patch
Patch2:		galeon-schema.patch
Patch3:		galeon-makefile-no-schema-install.patch
Patch4:		galeon-tasklist-grouping-fix.patch
Patch5:		galeon-cant-start-message.patch
Patch6:		galeon-tab-removal-fix.patch
Patch7:		galeon-ok-cancel.patch
Patch8:		galeon-set-locale.patch
Patch9:		galeon-de.po.patch
Patch10:		galeon-lastpagevisited.patch
BuildRequires:	libgnomeprint22-devel >= 2.3.0
BuildRequires:	libgnomeprintui22-devel >= 2.3.0
BuildRequires:	nautilus-devel
BuildRequires:	GConf2-devel >= 2.0.0
BuildRequires:	mozilla-devel = 37:1.4.2-0.9.0.ximian.6.1
BuildRequires:	gtk2-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libbonoboui-devel >= 2.1.1
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libbonobo-devel >= 2.0.0
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	bonobo-activation-devel >= 2.0.0
BuildRequires:	ORBit2-devel >= 2.0.0
BuildRequires:	gnome-vfs2-devel >= 2.0.0
BuildRequires:	zlib-devel
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	scrollkeeper >= 0.1.4
Summary:	Mozilla-based web browser with the GNOME look and feel
Group:		Applications/Internet
Requires:	mozilla = 37:1.4.2-0.9.0.ximian.6.1
Requires:	ximian-artwork >= 0.2.9
Requires:	ximian-libgnomeprintui22 >= 2.3.0-0.ximian.6.13
Provides:	ximian-galeon = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	GConf2 >= 1.0.9
Prereq:	scrollkeeper
Conflicts:	plugger

%description
Galeon is a lightweight web browser which employs the GNOME
infrastructure to create a minimal, but intuitive, GUI.

Galeon's use of Mozilla's Gecko rendering engine makes it
more feature complete and standards compliant than other
lightweight browsers.

%files
%defattr(-, root, root)
%doc COPYING.README FAQ INSTALL NEWS README TODO
/etc/sound/events/galeon.soundlist
/etc/gconf/schemas/galeon.schemas
/usr/bin/*
/usr/share/galeon/*
/usr/lib/galeon/components/*
/usr/share/applications/*
/usr/*/locale/*/LC_MESSAGES/*
/usr/lib/bonobo/servers/*
/usr/share/sounds/galeon/*
/usr/share/pixmaps/galeon.png
/usr/share/gnome/help/galeon
/usr/share/omf/galeon/*
/usr/share/man/man1/*
%dir /usr/share/galeon
%dir /usr/lib/galeon
%dir /usr/share/sounds/galeon
%dir /usr/share/omf/galeon
%dir /usr/lib/galeon/components
/usr/share/gnome-2.0/ui/*


%post
/usr/bin/galeon-config-tool --fix-gconf-permissions
/usr/bin/galeon-config-tool --pkg-install-schemas


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n galeon-1.3.7
    ;;
all)
%setup  -q -n galeon-1.3.7
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
%patch -p1 -P 3
%patch -p1 -P 4
%patch -p1 -P 5
%patch -p1 -P 6
%patch -p1 -P 7
%patch -p1 -P 8
%patch -p1 -P 9
%patch -p1 -P 10
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    libtoolize --force; aclocal; automake --gnu --add-missing --include-deps; autoconf; CFLAGS="${CFLAGS} -g" CXXFLAGS="${CFLAGS} -g" LDFLAGS="-ldl" ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var --with-mozilla-libs=/usr/lib/mozilla- --with-mozilla-includes=/usr/include/mozilla- --with-nspr-includes=/usr/include/mozilla-/nspr --with-mozilla-home=/usr/lib/mozilla- --disable-install-schemas --disable-nautilus-view --with-mozilla-snapshot=1.4
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    make install DESTDIR=${DESTDIR}; rm -rf ${DESTDIR}/var/scrollkeeper
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Mar 23 2004 Ximian, Inc.

- Version: 1.3.7-0.ximian.6.2.4
- Summary: New build.
- New automated build.

* Fri May 2 2003 Ximian, Inc.

- Version: 1.3.4-3.ximian.2
- Summary: New build.
- New automated build.

* Tue Apr 29 2003 Ximian, Inc.

- Version: 1.3.3.cvs.2-3.ximian.9
- Summary: New build.
- New automated build.

* Thu Mar 20 2003 Ximian, Inc.

- Version: 1.3.3-0.ximian.4
- Summary: New build.
- New automated build.

* Fri Oct 11 2002 Ximian, Inc.

- Version: 1.2.6-1.ximian.1.1
- Summary: New build.
- New automated build.

* Thu Jun 6 2002 Ximian, Inc.

- Version: 1.2.5-1.ximian.1
- Summary: New build.
- New automated build.

* Wed Mar 13 2002 Ximian, Inc.

- Version: 1.2.0-1.ximian.1
- Summary: New build.
- New automated build.

